@import url(notosanstc.css);

* {
    margin: 0;
    padding: 0;
}
body {
    font-family: 'noto sans tc';
    font-size: 14pt;
    font-weight: normal;
    width: 100%;
    color: #606060;
    background: #F8F8F8;
}
#sidebar-content-1 ul,
#sidebar-content-2 ul,
#sidebar-content-3 ul,
#sidebar-content-4 ul,
#sidebar-content-5 ul,
#sidebar-content-6 ul,
#index-select-box ul {
    margin: 15px 0 30px 0;
    list-style-type: none;
}
.people-block a {
    color: #2574A9;
    text-decoration: none;
}
#sidebar li:hover, 
.sidebar-select:hover {
    cursor: pointer;
    color: #FFF;
    background: #2574A9;
}
input[type="text"],
input[type="password"],
input[type="button"],
#create-koi,
.people-detail-button {
    color: #FFF;
    border: 1px solid #2574A9;
}
li,
input[type="text"],
input[type="password"] {
    width: 180px;
    margin: 5px 0;
    padding: 10px;
    color: #606060;
    border-radius: 5px;
    border-color: #CCC;
    transition: background 0.5s, color 0.5s, margin 0.5s;
}
li {
    padding: 5px 10px;
}
select {
    color: #606060;
    -moz-appearance: none;
    -webkit-appearance: none;
    border: 1px solid #CCC;
    background-position: right center;
    background-repeat: no-repeat;
    background-size: 15px 15px;
    background-origin: content-box;
    background-image: url('../img/arrow.png');
    background-color: #FFF;
}
input[type="button"],
#create-koi,
.people-detail-button,
.people-info-save-button {
    padding: 10px;
    border-radius: 5px;
    border: 0;
}
.people-info-save-button {
    font-size: 10pt;
    padding: 3px 20px;
    margin-left: 20px;
}
input[type='checkbox'] {
    width: 15px;
    height: 15px;
    margin-right: 15px;
}
header {
    display: block;
    width: 100%;
    /* height: 120px; */
    background: #FFFFFF;
}
#header, #where {
    position: relative;
    width: 1150px;
    margin: auto;
    background: #FFFFFF;
}
#logo,
#create-koi {
    float: left;
}
#create-koi {
    border: 1px solid #4AAC76;
    transition: background 0.5s, color 0.5s;
}
#create-koi:hover {
    cursor: pointer;
    color: #4AAC76;
    background: #FFF;
}
#logo {
    margin: 20px 0 10px 0;
    height: 40px;
}
#logo:hover {
    cursor: pointer;
}
#logo img {
    height: 40px;
}
#logout,
#backend {
    float: right;
    margin: 20px 5px 10px 5px;
    padding: 0 10px;
    line-height: 40px;
    border: 1px solid #2574A9;
    border-radius: 5px;
}
#logout:hover,
#backend:hover {
    cursor: pointer;
}
#logout img {
    position: relative;
    top: 3px;
    margin-right: 5px;
    width: 16px;
    height: 16px;
}
#backend {
    border-color: #FFF;
    width: 30px;
    padding: 5px;
    height: 30px;
}
#where {
    line-height: 40px;
}
#main {
    display: block;
    width: 1170px;
    margin: 50px auto;
}
#sidebar {
    position: relative;
    float: left;
    width: 276px;
    height: 500px;
}
#sidebar li.selected::after {
    position: absolute;
    display: block;
    content: '';
    width: 10px;
    height: 10px;
    margin-top: -16px;
    right: 100px;
    background: #FFF;
    border-radius: 100%;
}
#content {
    float: right;
    width: 858px;
}
.sidebar-title {
    padding: 10px 0;
    border-bottom: 1px solid #CCC;
}
.sidebar-title-icon:hover {
    cursor: pointer;
}
.sidebar-title-icon {
    float: right;
    margin-top: -40px;
    transform: rotate(45deg);
    transition: transform 0.5s;
}
.title-close {
    transform: rotate(0deg);
}
.sidebar-select,
#index-select {
    display: inline-block;
    padding: 10px;
    margin: 20px 0 0 10px;
    border-radius: 5px;
    transition: background 0.5s, color 0.5s;
}
#index-select-box {
    position: relative;
    height: 70px;
    display: block;
    margin-top: 0;
    float: right;
}
#index-select-arrow {
    display: inline-block;
    position: absolute;
    top: 11px;
    right: 12px;
    width: 15px;
    height: 15px;
}
#index-select-arrow img {
    width: 100%;
}
#index-select {
    width: 145px;
    margin: 0;
}
.selected {
    color: #FFF;
    background: #2574A9;
}
.button-blue {
    background: #2574A9;
}
.button-green {
    background: #4AAC76;
}
hr {
    margin: 10px;
}
#index-select-content,
#index-select {
    background: #FFF;
    border: 1px solid #CCC;
    border-radius: 5px;
    box-shadow: 0 0 5px #DDD;
}
#index-select-content {
    z-index: 1;
    display: none;
    position: absolute;
    padding: 10px 0;
    width: 150px;
}
#index-select-content li {
    width: auto;
    margin: 0;
}
#index-select-content li:hover {
    cursor: pointer;
    margin-left: 10px;
}
#index-select-box:hover #index-select-content {
    display: block;
}
.clear {
    clear: both;
}
#keyword-search-text,
#keyword,
#remark-search-text {
    width: 220px;
}
#keyword-search-button,
#remark-search-button {
    width: 100px;
    margin-top: 10px;
    margin-left: 70px;
}
#effect-number {
    width: 838px;
    padding: 10px;
    margin: 0;
    color: #FFF;
    background: #2574A9;
    border-radius: 5px;
}
#effect-keywords, .effect-keywords-content {
    display: inline-block;
}
#effect-keywords {
    color: #2574A9;
    margin-top: 10px;
    padding: 10px;
}
.effect-keywords-content {
    color: #2574A9;
    line-height: 30px;
    padding: 0 10px;
    border: 1px solid #2574A9;
    border-radius: 5px;
}
.people-block {
    width: 818px;
    margin: 20px 0;
    padding: 20px;
    background: #FFF;
    box-shadow: 0 0 5px #DDD;
    border-radius: 5px;
}
table {
    width: 100%;
    border-collapse: collapse;
    vertical-align: middle;
}
td {
    padding: 10px 5px;
}
.table-7 {
    position: relative;
    top: 2px;
    font-size: 18px;
    font-weight: bold;
    width: 40px;
    text-align: right;
}
.table-1 {
    padding: 0;
    width: 30px;
    text-align: center;
}
.table-2 {
    width: 64px;
}
.table-2 img {
    width: 64px;
    height: 64px;
    border-radius: 100%;
}
.table-3 {
    width: 240px;
}
.people-name {
    position: relative;
    display: inline-block;
    color: #2574A9;
    overflow: hidden;
    white-space: nowrap;
    text-overflow : ellipsis;
    max-width: 220px;
}
.people-name-img {
    position: absolute;
    margin-top: 7px;
    margin-left: 5px;
    width: 16px;
    height: 16px;
}
.people-name-img:hover {
    cursor: pointer;
}
.people-country {
    position: relative;
    margin-left: 30px;
}
.people-country img {
    position: absolute;
    top: 1px;
    left: -30px;
    width: 23px;
    height: 17px;
}
.table-4 {
    width: 160px;
}
.table-4 img {
    position: absolute;
    width: 25px;
    height: 25px;
    top: 0px;
    left: -35px;
}
.people-facebook,
.people-instagram,
.people-weibo {
    position: relative;
    margin-left: 35px;
    line-height: 40px;
}
.people-facebook::after,
.people-instagram::after,
.people-weibo::after {
    content: ' Follow';
}
.table-5 {
    width: 70px;
    text-align: center;
}
.people-detail-button,
.people-info-save-button {
    display: inline-block;
    color: #FFF;
    border: 1px solid #2574A9;
    transition: background 0.5s, color 0.5s;
}
.people-detail-button {
    font-size: 16px;
}
.people-detail-button:hover,
.people-info-save-button:hover {
    cursor: pointer;
    color: #2574A9;
    background: #FFF;
}
.table-6 {
    width: 209px;
    text-align: center;
}
.people-score {
    font-weight: 700;
}
.people-score-text {
    width: 100%;
}
.people-score-text td {
    padding: 0;
}
.people-circle-block {
    display: inline-block;
    text-align: center;
}
.people-circle {
    display: inline-block;
    margin: 7px 2px 0 2px;
    width: 12px;
    height: 12px;
    border-radius: 100%;
}
.circle-effect .people-circle {
    border: 1px solid #2574A9;
}
.circle-effect .circle-fill {
    background: #2574A9;
}
.circle-relation .people-circle {
    border: 1px solid #A8113D;
}
.circle-relation .circle-fill {
    background: #A8113D;
}
.circle-interact .people-circle {
    border: 1px solid #4AAC76;
}
.circle-interact .circle-fill {
    background: #4AAC76;
}
.people-article-block, .people-info-block {
    position: relative;
    width: 736px;
    margin-top: 20px;
    padding: 20px 40px;
    border: 1px solid #A8113D;
    border-radius: 5px;
}
.people-article-block {
    padding: 0 40px;
}
.people-info-block {
    padding: 20px 40px 0 40px;
    border-color: #F3F3F3;
    background: #F3F3F3;
}
.people-info-toggle-block {
    padding-bottom: 20px;
    display: none;
}
.people-article-date {
    color: #AAA;
}
.people-article {
    padding: 25px 0;
    border-bottom: 1px solid #DDD;
}
#people-article-plus, .people-info-plus {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
    background: #F3F3F3;
    transition: transform .5s;
}
.people-info-plus {
    top: 25px;
    right: 50px;
    width: 25px;
    line-height: 25px;
    background: none;
}
#people-article-plus:hover, .people-info-plus:hover {
    cursor: pointer;
}
#people-article-plus.clicked, .people-info-plus.clicked {
    transform: rotate(45deg);
}
#people-article-toggle {
    display: none;
}
.red-words {
    color: #A8113D;
    font-weight: 700;
    border-bottom: 2px solid #A8113D;
}
.people-select {
    display: inline-block;
}
.people-select select {
    width: 120px;
    border: 1px solid #CCC;
}
#people-info-title {
    padding: 5px 0;
    text-align: center;
    background: #CCC;
    border-radius: 5px;
}
.people-info-small, .people-info-medium, .people-info-big {
    display: inline-block;
    width: 180px;
    padding: 5px 15px;
}
.people-info-medium {
    width: 250px;
}
.people-info-big {
    width: 394px;
}
.people-info {
    position: relative;
    border-top: 1px solid #CCC;
    padding: 5px 15px;
}
.people-info-toggle-left, .people-info-toggle-right {
    display: inline-block;
}
.people-info-toggle-left {
    width: 20%;
}
.people-info-toggle-right, .people-info-toggle-content {
    width: 75%;
    margin-left: -4px;
}
/* .people-info-toggle-right span:after {
    content: '⋯⋯';
}
.people-info-toggle-right.toggle span:after {
    content: '';
}
.people-info-toggle-content {
    display: none;
    margin-left: 20%;
} */
/* Pop Up */
#pop-up-black {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: absolute;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.85);
}
#detail-block {
    display: none;
    position: absolute;
    position: fixed;
    z-index: 1;
    margin: auto;
    left: 0;
    right: 0;
    top: 150px;
    width: 620px;
    padding: 30px;
    background: #FFF;
    border-radius: 5px;
    box-shadow: 0 0 10px #333;
}
@media only screen and (max-height: 900px) {
    #detail-block {
        top: 100px;
    }
}
@media only screen and (max-height: 700px) {
    #detail-block {
        top: 70px;
    }
}
.detail-name-table-1 {
    width: 100px;
}
.detail-name-table-1 img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
}
#detail-info-table {
    text-align: center;
}
#detail-info-table td:nth-of-type(1) {
    text-align: right;
}
#detail-info-table tr:nth-of-type(even) {
    background: #EEE;
}
.detail-info-table-2, .detail-info-table-3, .detail-info-table-4 {
    width: 100px;
}
.close-pop-up {
    z-index: 2;
    color: #FFF;
    position: absolute;
    position: fixed;
    top: 50px;
    right: 50px;
}
.close-pop-up:hover {
    cursor: pointer;
}
body.popping-up {
    overflow: hidden;
}
#detail-block.popping-up {
    animation: popup 0.5s forwards;
}
@keyframes popup {
    from {
        transform: scale(0, 0);
    }
    to {
        transform: scale(1, 1);
    }
}
/* Draggable Slider */
#follower-bar {
    display: none;
    margin: 10px 0 30px 0;
    padding: 10px;
}
#follower-index {
    padding: 10px 0;
}
.range_slider {
    position: relative;
    width: 250px;
    padding: 0;
}
.ix-slider-bar {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 10px;
    border-radius: 5px;
}
.ix-progress {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 5px;
}
.ix-min-icon,
.ix-max-icon {
    position: absolute;
    margin-top: -5px;
    margin-left: -10px;
    width: 20px;
    height: 20px;
    cursor: pointer;
    border: 5px solid #2574A9;
    border-radius: 10px;
    box-sizing: border-box;
    background: #fff;
}
.ix-min-icon:focus,
.ix-max-icon:focus {
    background: #2574A9;
}
.slider-blue {
    background: #2574A9;
}
.slider-gray {
    background:#DDD;
}
.ix-min-input,
.ix-max-input {
    display: none;
}

/* font style */
.bg-blue {
    background: #2574A9;
}
.text-huge {
    font-size: 30pt;
}
.text-big {
    font-size: 20pt;
}
.text-small {
    font-size: 12pt;
}
.text-mini {
    font-size: 10pt;
}
.text-blue {
    color: #2574A9;
}
.text-white {
    color: #FFF;
}
input[type="text"],
input[type="button"],
input[type="password"],
.people-select select,
.people-info-price select,
.people-update-price select {
    font-size: 12pt;
    padding: 5px 10px;
    line-height: 30px;
    border-radius: 5px;
}
.people-info-price input[type="text"],
.people-update-price input[type="text"] {
    font-size: 12pt;
    padding: 0px 10px;
    width: 100px;
}
#totop {
    position: absolute;
    position: fixed;
    width: 50px;
    height: 50px;
    right: 50px;
    bottom: 50px;
}
#totop img {
    width: 100%;
}
#totop:hover {
    cursor: pointer;
}
#edit-lasttime {
    margin: 25px 0;
    text-align: right;
}

.kol-select {
    display: inline-block;
}
.kol-select select {
    width: 150px;
    border: 1px solid #CCC;
    font-size: 12pt;
    padding: 5px 10px;
    line-height: 30px;
    border-radius: 5px;
}
.kol-select-small select {
    width: 100px;
}
.people-info-price select,
.people-update-price select {
    height: 30px! important;
    padding: 0 10px;
    font-size: 10pt;
    width: 120px;
}
.people-info-save {
    line-height: 24px;
    margin-left: 20px; 
}
.loading-icon {
  margin: 50px auto;
  width: 50px;
  height: 50px;
  background: #2574A9;
  border-radius: 50%;
  animation: loading 1s infinite;
}
@keyframes loading {
  from {
    transform: scale(0, 0);
    opacity: 1;
  }
  to {
    transform: scale(1, 1);
    opacity: 0;
  }
}
.people-add-price {
    display: inline-block;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    margin: 10px;
    color: #2574A9;
    font-weight: 700;
    border: 1px solid #2574A9;
    border-radius: 50%;
    background: #FFF;
}
.people-add-price:hover {
    cursor: pointer;
}
.people-add-price.disable {
    color: #CCC;
    border: 1px solid #CCC;
    background: #FFF;
}
.people-add-price.disable:hover {
    cursor: not-allowed;
}
.people-update-price {
    margin-bottom: 10px;
}

/* 0221 */
.people-block a.btn-loyalty,
.people-block a.btn-words,
.people-block a.btn-ad {
    position: relative;
    display: inline-block;
    text-decoration: none;
    top: -25px;
    left: 48px;
    margin: 0 1.5px;
    padding: 5px 10px;
    font-size: 12pt;
    color: #FFF;
    border: 1px solid #2574A9;
    background: #2574A9;
    border-radius: 5px;
    transition: color .5s, background .5s;
}
.people-block a.btn-loyalty:hover,
.people-block a.btn-words:hover,
.people-block a.btn-ad:hover {
    cursor: pointer;
    color: #2574A9;
    background: #FFF;
}
.qmark {
    position: absolute;
    width: 30px;
    top: 0;
    right: 146px;
}
.qmark img {
    width: 100%;
}
.qmark:hover {
    cursor: pointer;    
}
#question-block,
#loyalty-block,
#words-block,
#ad-block,
#about-block {
    display: none;
    position: absolute;
    position: fixed;
    margin: auto;
    z-index: 1;
    left: 0;
    right: 0;
    top: 150px;
    width: 500px;
    height: 500px;
    border-radius: 5px;
    transform: scale(0, 0);
    background: #FFF;
    box-shadow: 0 0 10px #333;
}
#question-block.popping-up,
#loyalty-block.popping-up,
#words-block.popping-up,
#ad-block.popping-up,
#about-block.popping-up {
    animation: popup 0.5s forwards;
}
#ad-pie {
    width: 400px;
    font-size: 12pt;
    margin: 50px auto 0 auto;
}
.loyalty-title,
.ad-title {
    z-index: 1;
    position: relative;
    top: 40px;
    font-size: 20pt;
    color: 555;
    text-align: center;
}
.question-content {
    width: 450px;
    margin: auto;
    margin-top: 100px;
}
.jqcloud {
    display: flex;
    justify-content: center;
    align-items: center;
    top: 75px;
    margin: auto;
    left: 0;
    right: 0;
}
.jqcloud-noresult {
    font-size: 24px;
}
#loyalty-cap, #ad-cap {
    display: inline-block;
    position: absolute;
    top: 250px;
    margin: auto;
    left: 0;
    right: 0;
    color: #333;
    font-size: 12pt;
    text-align: center;
}
#ad-cap {
    top: 265px;
}
.color-1-spot,
.color-2-spot,
.color-3-spot {
    display: inline-block;
    width: 12px;
    height: 12px;
    margin-right: 5px;
}
.color-1-spot {
    background: #2574A9;
}
.color-2-spot {
    background: #65A6BF;
}
.color-3-spot {
    background: #CCE2EA;
}
.language-block {
    float: right;
    margin: 21px 5px 10px 5px;
    padding: 0 10px;
    line-height: 40px;
    font-size: 12pt;
}
.language-block a {
    color: #606060;
    text-decoration: none;
    transition: color 0.5s;
}
.language-block a:hover,
.language-block a.click { 
    color: #2574A9;
}
#loyalty-block {
    width: 900px;
    text-align: center;
}
#about-block {
    width: 900px;
    overflow-y: auto;
}
#loyalty-pie-fb, #loyalty-pie-ig, #loyalty-pie-yt {
    position: relative;
    display: inline-block;
    width: 250px;
    margin-top: 25px;
}
.loyalty-pie-hide {
    display: none! important;
}
.head-qmark {
    position: absolute;
    z-index: 1;
    display: block;
    width: 30px;
    right: 10px;
    top: 75px;
}
.head-qmark img {
    display: block;
    width: 100%;
}
.about-content {
    padding: 25px 0;
}
.about-content ol {
    margin: 0;
    padding-left: 50px;
}
.about-content li {
    width: 90%;
    padding-left: 0px;
}
.close-pop-up-about {
    position: fixed;
}
.about-content-table {
    width: 90%;
    margin: 25px auto;
    border: 1px solid #CCC;
    border-collapse: collapse;
}
.about-content-table th,
.about-content-table td {
    padding: 10px;
    border: 1px solid #CCC;
    border-collapse: collapse;
}
.about-content-table th:nth-child(2) {
    width: 15%;
}
.people-circle-block,
#influence,
#relation,
#interaction {
    display: inline-block;
}
.loyalty-pie-block {
    position: relative;
    display: inline-block;
}
.loyalty-pie-icon {
    z-index: 1;
    position: absolute;
    top: 45px;
    left: 0;
    width: 25px;
}